| darcs | Source code | Contents | Index
Darcs.Email
Synopsis
make_email :: String -> [(String, String)] -> Maybe Doc -> Doc -> Maybe String -> Doc
read_email :: ByteString -> ByteString
formatHeader :: String -> String -> ByteString
Documentation
make_email :: String -> [(String, String)] -> Maybe Doc -> Doc -> Maybe String -> Doc | Source
read_email :: ByteString -> ByteString | Source
formatHeader :: String -> String -> ByteString | Source
Formats an e-mail header by encoding any non-ascii characters using UTF-8 and Q-encoding, and folding lines at appropriate points. It doesn't do more than that, so the header name and header value should be well-formatted give or take line length and encoding. So no non-ASCII characters within quoted-string, quoted-pair, or atom; no semantically meaningful signs in names; no non-ASCII characters in the header name; etcetera.
Produced by Haddock version 2.4.2